% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/methods-xcmsSet.R
\docType{methods}
\name{showError,xcmsSet-method}
\alias{showError,xcmsSet-method}
\alias{showError}
\title{Extract processing errors}
\usage{
\S4method{showError}{xcmsSet}(object, message. = TRUE, ...)
}
\arguments{
\item{object}{An \code{\linkS4class{xcmsSet}} object.}

\item{message.}{Logical indicating whether only the error message, or the
error itself should be returned.}

\item{...}{Additional arguments.}
}
\value{
A list of error messages (if \code{message. = TRUE}) or errors or an
    empty list if no errors are present.
}
\description{
If peak detection is performed with \code{\link{findPeaks}}
    setting argument \code{stopOnError = FALSE} eventual errors during the
    process do not cause to stop the processing but are recorded inside of
    the resulting \code{\linkS4class{xcmsSet}} object. These errors can be
    accessed with the \code{showError} method.
}
\author{
Johannes Rainer
}
